namespace Wizard;

public class PackChildGachaInfo
{

	public int GachaId { get; set; }

	public GachaUI.CardPackType PackType { get; set; }

	public int Cost { get; set; }

	public long UserGoodsId { get; set; }

	public int CostGoodsCount => PlayerStaticData.GetItemNum((int)UserGoodsId);

	public bool IsDailySingle { get; set; }

	public int AvailableCount { get; set; }

	public int PackCountBuyPer { get; set; }

	public string CampaignName { get; set; }

	public int OverrideIncreaseGachaPoint { get; set; }

	public int? FreeGachaCampaignId { get; set; }

	public bool IsShowAnniversaryIcon
	{
		get
		{
			if (FreeGachaCampaignId != 15 && FreeGachaCampaignId != 16 && FreeGachaCampaignId != 24)
			{
				return FreeGachaCampaignId == 25;
			}
			return true;
		}
	}

	public string AnniversaryIconSpriteName
	{
		get
		{
			switch (FreeGachaCampaignId)
			{
			case 15:
			case 16:
				return "icon_7th";
			case 24:
			case 25:
				return "icon_8th";
			default:
				return string.Empty;
			}
		}
	}

	public bool IsShowPinkRibbon
	{
		get
		{
			if (FreeGachaCampaignId != 16)
			{
				return FreeGachaCampaignId == 25;
			}
			return true;
		}
	}

	public bool IsShowWinterUI => FreeGachaCampaignId == 50;

	public bool IsFreePack => PackType == GachaUI.CardPackType.FREE_PACKS;
}
